# API Reference

Dive into the specifics of each API endpoint by checking out our complete documentation.

{% hint style="warning" %}
**Note:** The API KEY needs to be added to the header of each request
{% endhint %}

```http
...
x-api-key: <API_KEY>
...
```

## Languages

All the methods associated with CRUDing Languages.

{% content-ref url="/pages/zzcSlWv71YZvT4ESRZNI" %}
[Languages](/reference/api-reference/languages.md)
{% endcontent-ref %}

## Grades

All the methods associated with CRUDing Grades.

{% content-ref url="/pages/3b0F8hjTy4ITj60iG59Z" %}
[Grades](/reference/api-reference/grades.md)
{% endcontent-ref %}

## Subjects

All the methods associated with CRUDing Subjects.

{% content-ref url="/pages/ednLiaytg7i1Luyh9OCJ" %}
[Subjects](/reference/api-reference/subjects.md)
{% endcontent-ref %}

## Videos

All the methods associated with CRUDing Videos.

{% content-ref url="/pages/wGSrTVCzRXBaSvYmtH0M" %}
[Videos](/reference/api-reference/videos.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dorkk.online/reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
